TON CenterAPI referenceAccounts
Get address information
Return the current state of any account on the TON blockchain.
Query Parameters
address*string
The account address to query.
seqno?integer
Query state at a specific block height. If omitted, returns the current state. Use this to look up historical data at a specific point in time.
Format
int32Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/getAddressInformation?address=EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs"{
"ok": true,
"result": {
"@type": "raw.fullAccountState",
"balance": "string",
"extra_currencies": [
{
"@type": "extraCurrency",
"id": 0,
"amount": "string"
}
],
"last_transaction_id": {
"@type": "internal.transactionId",
"lt": "string",
"hash": "string"
},
"block_id": {
"@type": "ton.blockIdExt",
"workchain": 0,
"shard": "string",
"seqno": 0,
"root_hash": "string",
"file_hash": "string"
},
"code": "string",
"data": "string",
"frozen_hash": "string",
"sync_utime": 0,
"state": "uninitialized",
"suspended": true
},
"@extra": "string"
}{
"ok": false,
"code": 401,
"error": "API key does not exist"
}{
"ok": false,
"code": 403,
"error": "Network not allowed"
}{
"ok": false,
"code": 422,
"error": "empty address"
}{
"ok": false,
"code": 429,
"error": "Ratelimit exceeded"
}{
"ok": false,
"code": 504,
"error": "LITE_SERVER_NETWORK timeout"
}Last updated on